Loading...
Searching...
No Matches
Opm::SummaryConfigNode Class Reference

## Public Types

using | Category = Opm::EclIO::SummaryNode::Category
using | Type = Opm::EclIO::SummaryNode::Type

## Public Member Functions

| SummaryConfigNode (std::string keyword, const Category cat, KeywordLocation loc_arg)
SummaryConfigNode & | parameterType (const Type type)
SummaryConfigNode & | namedEntity (std::string name)
SummaryConfigNode & | number (const int num)
SummaryConfigNode & | isUserDefined (const bool userDefined)
SummaryConfigNode & | fip_region (const std::string &fip_region)
const std::string & | keyword () const
Category | category () const
Type | type () const
const std::string & | namedEntity () const
int | number () const
bool | isUserDefined () const
const std::string & | fip_region () const
std::string | uniqueNodeKey () const
const KeywordLocation & | location () const
| operator Opm::EclIO::SummaryNode () const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static SummaryConfigNode | serializationTestObject ()

The documentation for this class was generated from the following file:

- opm/input/eclipse/EclipseState/SummaryConfig/SummaryConfig.hpp